dbXML API

## com.dbxml.util
Class dbXMLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DBException, DTSMException

public class dbXMLException
extends java.lang.Exception

A dbXMLException is the base class for all dbXML related Exceptions. This class allows an optional fault code, but no specific fault codes are defined at this level.

See Also:
  Serialized Form

Field Summary
`int` `faultCode`

Constructor Summary
`dbXMLException()`
`dbXMLException(int faultCode)`
`dbXMLException(int faultCode, java.lang.String message)`
`dbXMLException(int faultCode, java.lang.String message, java.lang.Throwable wrapped)`
`dbXMLException(int faultCode, java.lang.Throwable wrapped)`
`dbXMLException(java.lang.String message)`
`dbXMLException(java.lang.String message, java.lang.Throwable wrapped)`
`dbXMLException(java.lang.Throwable wrapped)`

Method Summary
`int` `getFaultCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### faultCode

    public int faultCode

Constructor Detail

### dbXMLException

    public dbXMLException()

### dbXMLException

    public dbXMLException(int faultCode)

### dbXMLException

    public dbXMLException(int faultCode,
                          java.lang.Throwable wrapped)

### dbXMLException

    public dbXMLException(int faultCode,
                          java.lang.String message)

### dbXMLException

    public dbXMLException(java.lang.Throwable wrapped)

### dbXMLException

    public dbXMLException(java.lang.String message)

### dbXMLException

    public dbXMLException(java.lang.String message,
                          java.lang.Throwable wrapped)

### dbXMLException

    public dbXMLException(int faultCode,
                          java.lang.String message,
                          java.lang.Throwable wrapped)

Method Detail

### getFaultCode

    public int getFaultCode()

dbXML API

Copyright (c) 2004 The dbXML Group